Subject: Re: [PATCH v2 02/11] docs: new trace2.advertiseSID option

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Nov 2020 13:24:15 -0800

Josh Steadmon <[email-masked]> writes:

> Yes this makes sense. Do you think it's worthwhile to move all the
> session ID implementation out of trace2? Right now there are some
> user-facing bits (environment variables for parent/child SID hierarchy)
> that specifically mention trace2, and I believe that the repo tool is
> using it to tie together logs produced by a single repo invocation.

If somebody other than trace2 starts using session ID, or if we
introduce a mechanism that allows a session ID assigned without
enabling the rest of the trace2 machinery, such a separation may
make sense at the implementation level, but until then, I do not
think it is worth doing.